> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer funds

> Transfer funds from user's balance to another user (fiat-to-fiat)



## OpenAPI

````yaml post /balance/transfer
openapi: 3.0.2
info:
  title: Coinprofile business API
  version: 1.0.0
  description: Coinprofile business API
servers:
  - url: https://staging-biz.coinprofile.co/v2
    description: Production
security: []
tags: []
paths:
  /balance/transfer:
    post:
      summary: Transfer funds
      description: Transfer funds from user's balance to another user (fiat-to-fiat)
      operationId: transferFunds
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                receiverUsername:
                  type: string
                  description: Receiver's coinprofile username.
                currency:
                  type: string
                  description: Currency being sent.
                  enum:
                    - NGN
                    - USD
                amount:
                  type: string
                  description: Amount to transfer.
                token:
                  type: string
                  description: The token to be used for OTP.
                otpType:
                  type: string
                  description: The type of OTP to be used.
                  enum:
                    - otp
                    - totp
                memo:
                  type: string
                  description: Transaction memo.
                  minLength: 0
                  maxLength: 28
              required:
                - receiverUsername
                - currency
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      transactionId:
                        type: string
                      sender:
                        type: string
                      status:
                        type: string
                        enum:
                          - fullfiled
                          - processing
                          - failed
                      date:
                        type: string
                        format: date
                      toCurrency:
                        type: string
                        enum:
                          - NGN
                          - USD
                      fromCurrency:
                        type: string
                        enum:
                          - NGN
                          - USD
                      receiveAmount:
                        type: string
                      amount:
                        type: string
                      username:
                        type: string
                      senderPrevbalance:
                        type: string
      security:
        - ApiUser: []
          ApiKey: []
          UserVersion: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key
    UserVersion:
      type: apiKey
      in: header
      name: X-User-Version

````